# Interface methods for submodule: ImageSink
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import StreamingProcessObjectProxy as _StreamingProcessObjectProxy, ImageToImageFilterCommonProxy as _ImageToImageFilterCommonProxy


# Interface methods for class: ImageSink
class ImageSinkProxy(_StreamingProcessObjectProxy, _ImageToImageFilterCommonProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	@overload
	def GetInput(self, key: str):
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def UpdateLargestPossibleRegion(self) -> None:
		""""""
		...

	def SetCoordinateTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetCoordinateTolerance(self) -> float:
		""""""
		...

	def SetDirectionTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetDirectionTolerance(self) -> float:
		""""""
		...

